> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert a segwit address to legacy format

> Converts an existing segwit address to the legacy format.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /vault/accounts/{vaultAccountId}/{assetId}/addresses/{addressId}/create_legacy
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/{vaultAccountId}/{assetId}/addresses/{addressId}/create_legacy:
    post:
      tags:
        - Vaults
      summary: Convert a segwit address to legacy format
      description: |-
        Converts an existing segwit address to the legacy format.
        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
      operationId: createLegacyAddress
      parameters:
        - in: path
          name: vaultAccountId
          required: true
          description: The ID of the vault account
          schema:
            type: string
            format: numeric
            x-fb-entity: vault_account
        - in: path
          name: assetId
          required: true
          description: The ID of the asset
          schema:
            type: string
            x-fb-entity: asset
        - in: path
          name: addressId
          required: true
          description: The segwit address to translate
          schema:
            type: string
        - $ref: '#/components/parameters/X-Idempotency-Key'
      responses:
        '200':
          description: The created address
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateAddressResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<CreateAddressResponse>> =
            fireblocks.vaults.createLegacyAddress(vaultsApiCreateLegacyAddressRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<CreateAddressResponse>> response =
            fireblocks.vaults().createLegacyAddress(vaultAccountId, assetId,
            addressId, idempotencyKey);
        - lang: Python
          source: >-
            response = fireblocks.vaults.create_legacy_address(vault_account_id,
            asset_id, address_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    CreateAddressResponse:
      type: object
      properties:
        address:
          type: string
        legacyAddress:
          type: string
        enterpriseAddress:
          type: string
        tag:
          type: string
        bip44AddressIndex:
          type: integer
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````